> For the complete documentation index, see [llms.txt](https://www.cakewalk.security/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/applications/post-workapps-accesses.md).

# POST /WorkApps/Accesses

## POST /api/v1/WorkApps/Accesses

> Creates user access entries for one or more Work Apps.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"CreateWorkAppAccessRequestModelV1BulkRequestViewModel":{"required":["data"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CreateWorkAppAccessRequestModelV1"}}},"additionalProperties":false},"CreateWorkAppAccessRequestModelV1":{"required":["userId","workAppId"],"type":"object","properties":{"workAppId":{"type":"string","description":"Identifier of the work app to which access is being granted.","format":"uuid"},"userId":{"type":"string","description":"Identifier of the user being granted access.","format":"uuid"},"permissionLevelId":{"type":"string","description":"Optional identifier of the permission level to assign to the user. It is mandatory in case the WorkApp has at least one permission level.","format":"uuid","nullable":true}},"additionalProperties":false,"description":"Request model to add a user to a work app, optionally with a specific permission level."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/WorkApps/Accesses":{"post":{"tags":["WorkApps"],"summary":"Creates user access entries for one or more Work Apps.","parameters":[{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"requestBody":{"description":"The bulk request payload containing user access definitions.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateWorkAppAccessRequestModelV1BulkRequestViewModel"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateWorkAppAccessRequestModelV1BulkRequestViewModel"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateWorkAppAccessRequestModelV1BulkRequestViewModel"}]}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/applications/post-workapps-accesses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
